summaryrefslogtreecommitdiff
path: root/build-release.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-release.sh')
-rwxr-xr-xbuild-release.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/build-release.sh b/build-release.sh
new file mode 100755
index 0000000..308e394
--- /dev/null
+++ b/build-release.sh
@@ -0,0 +1,16 @@
+# This little script creates a build/ directory, enters it
+# and builds BibleTime there.
+#
+# BibleTime will be installed to /usr/local by default (see CMAKE_INSTALL_PREFIX below).
+
+
+if [ ! -d build ]; then mkdir build; fi
+cd build
+cmake -D CMAKE_BUILD_TYPE=Release -D CMAKE_INSTALL_PREFIX=/usr/local .. || exit 1
+make -j4 install || exit 1
+cd ..
+
+echo
+echo "BibleTime has been installed to /usr/local."
+echo "You can run it by typing /usr/local/bin/bibletime."
+echo